import os
from dotenv import load_dotenv

load_dotenv()

class Config:
    SECRET_KEY = os.getenv("SECRET_KEY", "ecocharge_secret_2026")

    DB_HOST = os.getenv("DB_HOST", "localhost")
    DB_PORT = int(os.getenv("DB_PORT", 5432))
    DB_NAME = os.getenv("DB_NAME", "ecocharge")
    DB_USER = os.getenv("DB_USER", "eco")
    DB_PASSWORD = os.getenv("DB_PASSWORD", "eco_pass")
